Rectangle (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.geometry.shape.Rectangle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.geometry.shape
Class Rectangle

    java.lang.Object
      org.apache.lucene.spatial.geometry.shape.Rectangle

All Implemented Interfaces:
  Geometry2D

Deprecated.

    @Deprecated
    public class Rectangle

extends Object
implements Geometry2D

Rectangle shape.

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`Rectangle()` Deprecated.
`Rectangle(double x1, double y1, double x2, double y2)` Deprecated.
`Rectangle(Point2D ptMin, Point2D ptMax)` Deprecated.

Method Summary
`double` | `area()` Deprecated. Return the area
`Point2D` | `centroid()` Deprecated. Return the centroid
`boolean` | `contains(Point2D p)` Deprecated. Does the shape contain the given point
`boolean` | `equals(Object obj)` Deprecated.
`Point2D` | `getMaxPoint()` Deprecated.
`Point2D` | `getMinPoint()` Deprecated.
`int` | `hashCode()` Deprecated.
`IntersectCase` | `intersect(Rectangle r)` Deprecated. Returns information about how this shape intersects the given rectangle
`String` | `toString()` Deprecated.
`void` | `translate(Vector2D v)` Deprecated. Translate according to the vector

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Rectangle

    public Rectangle()

  Deprecated.

### Rectangle

    public Rectangle(Point2D ptMin,
                     Point2D ptMax)

  Deprecated.

### Rectangle

    public Rectangle(double x1,
                     double y1,
                     double x2,
                     double y2)

  Deprecated.

Method Detail

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### area

    public double area()

  Deprecated.
  Description copied from interface: `Geometry2D`
  Return the area

  Specified by:
    `area` in interface `Geometry2D`

### centroid

    public Point2D centroid()

  Deprecated.
  Description copied from interface: `Geometry2D`
  Return the centroid

  Specified by:
    `centroid` in interface `Geometry2D`

### contains

    public boolean contains(Point2D p)

  Deprecated.
  Description copied from interface: `Geometry2D`
  Does the shape contain the given point

  Specified by:
    `contains` in interface `Geometry2D`

### translate

    public void translate(Vector2D v)

  Deprecated.
  Description copied from interface: `Geometry2D`
  Translate according to the vector

  Specified by:
    `translate` in interface `Geometry2D`

### intersect

    public IntersectCase intersect(Rectangle r)

  Deprecated.
  Description copied from interface: `Geometry2D`
  Returns information about how this shape intersects the given rectangle

  Specified by:
    `intersect` in interface `Geometry2D`

### getMaxPoint

    public Point2D getMaxPoint()

  Deprecated.

### getMinPoint

    public Point2D getMinPoint()

  Deprecated.

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Deprecated.
  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD